package com.ai.da.common.enums;

import java.util.stream.Stream;

/**
 * @author yanglei
 * @description library 一级类型枚举 Moodboard Printboard  Sketchboard MarketingSketch Models
 * @create 2022-11-3 17:33
 **/
public enum LibraryLevel1TypeEnum {
    /**
     * 情绪版
     */
    MOOD_BOARD("Moodboard"),
    /**
     * 印花版
     */
    PRINT_BOARD("Printboard"),
    /**
     * 手稿
     */
    SKETCH_BOARD("Sketchboard"),
    /**
     * 市场
     */
    MARKETING_SKETCH("MarketingSketch"),
    /**
     * 模特
     */
    MODELS("Models"),
    DESIGN_ELEMENTS("DesignElements"),

    BRAND_DNA("BrandDNA");

    private String realName;

    LibraryLevel1TypeEnum(String realName) {
        this.realName = realName;
    }

    public String getRealName() {
        return realName;
    }

    public static LibraryLevel1TypeEnum uploadOf(String realName) {
        return Stream.of(LibraryLevel1TypeEnum.values())
                .filter(v -> v.getRealName().equals(realName)).findFirst().orElse(null);
    }
}
